﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSCTL' AND COLUMN_NAME = 'COMM' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSCTL_COMM')
BEGIN 
    PRINT 'Creating default constraint DF_CBSCTL_COMM on table CBSCTL' 
    ALTER TABLE [dbo].[CBSCTL]
    ADD CONSTRAINT [DF_CBSCTL_COMM] DEFAULT ((0)) FOR [COMM]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSCTL' AND COLUMN_NAME = 'DONE' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSCTL_DONE')
BEGIN 
    PRINT 'Creating default constraint DF_CBSCTL_DONE on table CBSCTL' 
    ALTER TABLE [dbo].[CBSCTL]
    ADD CONSTRAINT [DF_CBSCTL_DONE] DEFAULT ((0)) FOR [DONE]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSCTL' AND COLUMN_NAME = 'PUOK' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSCTL_PUOK')
BEGIN 
    PRINT 'Creating default constraint DF_CBSCTL_PUOK on table CBSCTL' 
    ALTER TABLE [dbo].[CBSCTL]
    ADD CONSTRAINT [DF_CBSCTL_PUOK] DEFAULT ((0)) FOR [PUOK]
END 
GO

